TM and scripting in Catalina

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

TM and scripting in Catalina

feek
Hi,
I do not use any beta of Catalina, but I saw this post
https://leancrew.com/all-this/2019/06/deprecating-scripting/ and
https://brettterpstra.com/2019/06/26/on-scripting-runtimes-and-macos/

Will this break most of TM features?

== Feek





--
Sent from: http://textmate.1073791.n5.nabble.com/textmate-users-f3.html

_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: TM and scripting in Catalina

Matt Neuburg
The Mac system built in Ruby has been broken for years, so it won’t matter to me if they stop shipping it.  m. 

--
matt neuburg, phd = http://www.apeth.net/matt/
pantes anthropoi tou eidenai oregontai phusei
Programming iOS 12! http://shop.oreilly.com/product/0636920208662.do
iOS 12 Fundamentals! http://shop.oreilly.com/product/0636920208655.do
RubyFrontier! http://www.apeth.com/RubyFrontierDocs/default.html


On Jun 26, 2019, at 10:42 PM, feek <[hidden email]> wrote:

Hi,
I do not use any beta of Catalina, but I saw this post
https://leancrew.com/all-this/2019/06/deprecating-scripting/ and
https://brettterpstra.com/2019/06/26/on-scripting-runtimes-and-macos/

Will this break most of TM features?

== Feek





--
Sent from: http://textmate.1073791.n5.nabble.com/textmate-users-f3.html

_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate



_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: TM and scripting in Catalina

Jacob Carlborg
TextMate is shipping with its own bundled Ruby. Assuming the bundle is using "#!/usr/bin/env ruby18”, "#!/usr/bin/env ruby19” or "#!/usr/bin/env ruby20” as the shebang line. All of the bundles that can be installed from within TextMate were update to use “ruby18” instead of the system provided Ruby version when macOS was update to ship with Ruby 1.9.

Summary: I think we’re safe.

On 27 Jun 2019, at 07:45, Matt Neuburg <[hidden email]> wrote:

The Mac system built in Ruby has been broken for years, so it won’t matter to me if they stop shipping it.  m. 

--
matt neuburg, phd = http://www.apeth.net/matt/
pantes anthropoi tou eidenai oregontai phusei
Programming iOS 12! http://shop.oreilly.com/product/0636920208662.do
iOS 12 Fundamentals! http://shop.oreilly.com/product/0636920208655.do
RubyFrontier! http://www.apeth.com/RubyFrontierDocs/default.html


On Jun 26, 2019, at 10:42 PM, feek <[hidden email]> wrote:

Hi,
I do not use any beta of Catalina, but I saw this post
https://leancrew.com/all-this/2019/06/deprecating-scripting/ and
https://brettterpstra.com/2019/06/26/on-scripting-runtimes-and-macos/

Will this break most of TM features?

== Feek





--
Sent from: http://textmate.1073791.n5.nabble.com/textmate-users-f3.html

_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate


_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate

--
/Jacob Carlborg



_______________________________________________
textmate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate